Skip to main content
POST
/
v1.0
/
numbers
/
portin
json
{
  "PortInNumber": "+15555551234",
  "ICCID": "8901240397190195850",
  "CurrentCarrierName": "Telegent",
  "CurrentAccountNumber": "46512222",
  "CurrentAccountPassword": "0000",
  "TargetPortinClassification": "mvno",
  "SubscriberName": "Telegent",
  "CurrentBillingAddress": {
    "Street1": "2701 N Thanksgiving Way",
    "Street2": "Suite 202",
    "City": "Lehi",
    "State": "UT",
    "Zip": "84043"
  }
}
curl -X POST https://api.telegent.com/v1.0/numbers/portin \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"PortInNumber": "+15555551234",
"ICCID": "8901240397190195850",
"CurrentCarrierName": "Telegent",
"CurrentAccountNumber": "46512222",
"CurrentAccountPassword": "0000",
"TargetPortinClassification": "mvno",
"SubscriberName": "Telegent",
"CurrentBillingAddress": {"Street1": "2701 N Thanksgiving Way", "Street2": "Suite 202", "City": "Lehi", "State": "UT", "Zip": "84043"}
}'
import requests

url = "https://api.telegent.com/v1.0/numbers/portin"

payload = {
"PortInNumber": "+11234567890",
"CurrentCarrierName": "Company LLC",
"CurrentAccountNumber": "4651234567",
"CurrentAccountPassword": "0550",
"CurrentBillingAddress": {
"Street1": "123 N Adddress Way",
"City": "Townsville",
"State": "UT",
"Zip": "84048",
"Street2": "Suite 010"
},
"ICCID": "8901240397190557414F",
"TargetPortinClassification": "mvno",
"SubscriberName": "John Doe"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
PortInNumber: '+11234567890',
CurrentCarrierName: 'Company LLC',
CurrentAccountNumber: '4651234567',
CurrentAccountPassword: '0550',
CurrentBillingAddress: {
Street1: '123 N Adddress Way',
City: 'Townsville',
State: 'UT',
Zip: '84048',
Street2: 'Suite 010'
},
ICCID: '8901240397190557414F',
TargetPortinClassification: 'mvno',
SubscriberName: 'John Doe'
})
};

fetch('https://api.telegent.com/v1.0/numbers/portin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "OrderId": "JNOID-aabbde7a-....-....-....-............",
  "OrderDate": "2025-05-14T18:00:00.0000000+00:00",
  "Status": "Pending",
  "PhoneNumber": "+11234567890",
  "ICCID": "12345678900987654321"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}

Body

application/json
PortInNumber
string
required

Phone number to port in (E.164 format)

Example:

"+11234567890"

CurrentCarrierName
string
required

Name of the losing carrier

Example:

"Company LLC"

CurrentAccountNumber
string
required

Account number with current carrier

Example:

"4651234567"

CurrentAccountPassword
string
required

Account PIN/password with current carrier

Example:

"0550"

CurrentBillingAddress
object
required
ICCID
string

SIM card ICCID (optional)

Example:

"8901240397190557414F"

TargetPortinClassification
enum<string>

Classification type for the port-in

Available options:
mvno,
iot
Example:

"mvno"

SubscriberName
string

Name of the subscriber (optional)

Example:

"John Doe"

Response

Success — returns the port-in order ID and initial status

The response is of type object.